[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TEventObject.ManualReset

Should the event be reset manually

## Declaration

Source position: syncobjs.pp line 75

`public property TEventObject.ManualReset : Boolean read FManualReset;`

## Description

ManualReset indicates whether the event must be reset manually: if it is False, the event is reset immediately after the first thread waiting for it is notified. if it is True, then the event is never reset automatically, and ResetEvent must be called manually after a thread was notified.

## See also

ResetEvent |  | Reset the event